From: Martin Kepplinger <martin.kepplinger@puri.sm>
Date: Tue, 7 Sep 2021 10:55:43 +0200
Subject: s5k3l6xx: add support for lens-focus and flash-leds

---
 drivers/media/i2c/s5k3l6xx.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/drivers/media/i2c/s5k3l6xx.c b/drivers/media/i2c/s5k3l6xx.c
index 1c9c38c..9cae3511 100644
--- a/drivers/media/i2c/s5k3l6xx.c
+++ b/drivers/media/i2c/s5k3l6xx.c
@@ -1444,7 +1444,7 @@ static int s5k3l6xx_probe(struct i2c_client *c)
 	if (ret < 0)
 		goto err_power;
 
-	ret = v4l2_async_register_subdev(&state->sd);
+	ret = v4l2_async_register_subdev_sensor(&state->sd);
 	if (ret < 0)
 		goto err_ctrl;
 
